<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<%@taglib prefix="t" uri="/WEB-INF/eclnt"%>


<!-- ========== CONTENT BEGIN ========== -->
<f:view>
<h:form>
<f:subview id="tools_ccbean_createscreenforbeang_sv">
<t:rowbodypane id="g_1" background="null!" bgpaint="null!" padding="0" >
<t:row id="g_2" >
<t:foldablepane id="g_3" innerpadding="0" text="(1) Select Bean" width="100%" >
<t:row id="g_4" >
<t:coldistance id="g_5" width="100%" />
<t:icon id="g_6" actionListener="#{t.UICreateScreenForBean.onRefresh}" image="/tools/ccbean/images/arrow_refresh.png" />
</t:row>
<t:row id="g_7" >
<t:fixgrid id="g_8" objectbinding="#{t.UICreateScreenForBean.beanItems}" rowheight="16" sbvisibleamount="12" suppressheadline="true" width="100%" >
<t:gridcol id="g_9" text="File" width="100%" >
<t:treenode id="g_10" />
</t:gridcol>
</t:fixgrid>
</t:row>
<t:row id="g_11" >
<t:coldistance id="g_12" width="10" />
<t:label id="g_13" font="size:10" foreground="#808080" text="Double click bean class." />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_14" >
<t:foldablepane id="g_15" height="100%" rowdistance="2" text="(2) Generate Screen" width="100%" >
<t:row id="g_16" >
<t:field id="g_17" enabled="false" text="#{t.UICreateScreenForBean.selBeanItem.beanClassName}" width="100%" />
</t:row>
<t:row id="g_18" rendered="#{t.UICreateScreenForBean.screenForBeanVisible}" >
<t:button id="g_19" actionListener="#{t.UICreateScreenForBean.onCreateScreenForBean}" text="Create Screen for Bean" width="200" />
</t:row>
<t:rowdistance id="g_20" height="5" />
<t:row id="g_21" >
<t:label id="g_22" text="Operations" width="100" />
</t:row>
<t:row id="g_23" >
<t:fixgrid id="g_24" background="#FFFFFF10" height="100%" objectbinding="#{t.UICreateScreenForBean.methodItems}" rowheight="16" sbvisibleamount="20" suppressheadline="true" width="100%" >
<t:gridcol id="g_25" text="Method" width="100%" >
<t:label id="g_26" stylevariant="INGRID" text=".{method.name}" />
</t:gridcol>
</t:fixgrid>
</t:row>
<t:row id="g_27" >
<t:button id="g_28" actionListener="#{t.UICreateScreenForBean.onCreateScreenForOperation}" text="Create Screen for Operation" width="200" />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_29" >
<t:foldablepane id="g_30" text="(3) Deploy" width="100%" >
<t:row id="g_31" >
<t:textpane id="g_32" text="Check that the Java code generated in step (2) is compiled before deploying." width="100%" />
</t:row>
<t:row id="g_33" >
<t:button id="g_34" actionListener="#{t.UICreateScreenForBean.onReloadServer}" text="Reload Server" width="200" />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_35" >
<t:foldablepane id="g_36" innerpadding="10" opened="false" stylevariant="INJECTION" text="Project Injection" width="100%" >
<t:row id="g_37" >
<t:button id="g_38" actionListener="#{t.UICreateScreenForBean.onInjectProject}" text="Inject Project" width="200" />
</t:row>
</t:foldablepane>
</t:row>
</t:rowbodypane>
<t:pageaddons id="g_pa"/>
</f:subview>
</h:form>
</f:view>
<!-- ========== CONTENT END ========== -->
